#!/bin/sh

name="links"
title="Links"
package="links"
version="2.1pre7"
build="1"
noarch="n"
build_info="Standard build."

info="A text and graphics mode portable WWW browser."
desc="Links is graphics and text mode WWW browser, similar to Lynx. It
displays tables, frames, downloads on background, uses HTTP/1.1
keepalive connections, and features Javascript. In graphics mode
it displays PNG, JPEG, GIF, TIFF, and XBM pictures, runs external
bindings on other types, and features anti-aliased font, smooth
image zooming, 48-bit dithering, and gamma and aspect ratio
correction."
category="net/client/www"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,BUGS,COPYING,ChangeLog,NEWS,README,SITES,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://atrey.karlin.mff.cuni.cz/pub/local/clock/links/$name-$version.tar.bz2

configure_option --prefix=/usr
configure_option --enable-javascript
configure_option --enable-graphics
configure_option --with-ssl

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: links.builder,v $
# Revision 1.2  2003/02/13 15:48:02  swiergot
# - Build 1.
#
# Revision 1.1  2003/02/13 15:38:29  swiergot
# - Initial release.
# - Version 2.1pre7.
#
